Filter Struct Referenceabstract

`#include <Resample.h>`

Inheritance diagram for Filter:

## Public Types

typedef boost::shared_ptr< const Filter > | CPtr
typedef boost::shared_ptr< Filter > | Ptr

## Public Member Functions

virtual float | eval (const float t) const =0
| Evaluates the filter at coordinate 't'.
virtual float | initialValue () const
| Initial value (zero by default, but need to be different for min/max).
virtual float | support () const =0
| Radial width of the filter (half of diameter).

## Detailed Description

Definition at line 87 of file Resample.h.

## Member Typedef Documentation

## Ptr

typedef boost::shared_ptr<Filter> Filter::Ptr

Definition at line 91 of file Resample.h.

## CPtr

typedef boost::shared_ptr<const Filter> Filter::CPtr

Definition at line 92 of file Resample.h.

## Member Function Documentation

## eval()

virtual float Filter::eval | ( | const float | t | ) | const

pure virtual

Evaluates the filter at coordinate 't'.

Implemented in BoxFilter, GaussianFilter, MaxFilter, MinFilter, MitchellFilter, and TriangleFilter.

## support()

virtual float Filter::support | ( |  | ) | const

pure virtual

Radial width of the filter (half of diameter).

Implemented in BoxFilter, GaussianFilter, MaxFilter, MinFilter, MitchellFilter, and TriangleFilter.

## initialValue()

virtual float Filter::initialValue | ( |  | ) | const

inline virtual

Initial value (zero by default, but need to be different for min/max).

Reimplemented in MaxFilter, and MinFilter.

Definition at line 104 of file Resample.h.

{ return 0.0f; }

The documentation for this struct was generated from the following file:

- export/Resample.h